#################################################
#
#  (C) 2016 Alexander Golubev
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
##################################################

add_custom_command( OUTPUT  ${CMAKE_CURRENT_BINARY_DIR}/data.c
  COMMAND
    bin2c \"\" "${CMAKE_CURRENT_SOURCE_DIR}/level.data"
  DEPENDS bin2c ${CMAKE_CURRENT_SOURCE_DIR}/level.data
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
)

add_custom_target ( ksokoban_levels_data_c
  DEPENDS data.c
)
